=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::CustomsItemsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'CustomsItemsApi' do
  before do
    # run before each test
    @instance = Shippo::CustomsItemsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CustomsItemsApi' do
    it 'should create an instance of CustomsItemsApi' do
      expect(@instance).to be_instance_of(Shippo::CustomsItemsApi)
    end
  end

  # unit tests for create_customs_item
  # Create a new customs item
  # Creates a new customs item object
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [Item] :body CustomsItem details.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [CustomsItem]
  describe 'create_customs_item test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_customs_items
  # List all customs items
  # List all customs items objects
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedCustomsItemsResponse]
  describe 'list_customs_items test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_customs_item
  # Retrieve a customs item
  # Retrieve an existing customs item by object id
  # @param customs_item_id description: Object ID of the customs item
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @return [CustomsItem]
  describe 'get_customs_item test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
